Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.StateFlag

    java.lang.Object
      java.lang.Enum<QAccessible.StateFlag>
          com.trolltech.qt.gui.QAccessible.StateFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.StateFlag>

Enclosing class:
  QAccessible

    public static enum QAccessible.StateFlag

extends java.lang.Enum<QAccessible.StateFlag>
implements QtEnumerator

This enum type defines bit flags that can be combined to indicate the state of an accessible object. The values are:

Constant | Value | Description
--- | --- | ---
`Animated` | `16384` | The object's appearance changes frequently.
`Busy` | `2048` | The object cannot accept input at the moment.
`Checked` | `16` | The object's check box is checked.
`Collapsed` | `1024` | The object is collapsed, e.g. a closed listview item, or an iconified window.
`DefaultButton` | `256` | The object represents the default button in a dialog.
`Expanded` | `512` | The object is expandable, and currently the children are visible.
`ExtSelectable` | `33554432` | The object supports extended selection.
`Focusable` | `1048576` | The object can receive focus. Only objects in the active window can receive focus.
`Focused` | `4` | The object has keyboard focus.
`HasPopup` | `1073741824` | The object opens a popup.
`HotTracked` | `128` | The object's appearance is sensitive to the mouse cursor position.
`Invisible` | `32768` | The object is not visible to the user.
`Linked` | `4194304` | The object is linked to another object, e.g. a hyperlink.
`Marqueed` | `8192` | The object displays scrolling contents, e.g. a log view.
`Mixed` | `32` | The state of the object is not determined, e.g. a tri-state check box that is neither checked nor unchecked.
`Modal` | `-2147483648` | The object blocks input from other objects.
`Movable` | `262144` | The object can be moved.
`MultiSelectable` | `16777216` | The object supports multiple selected items.
`Normal` | `0` | The normal state.
`Offscreen` | `65536` | The object is clipped by the visible area. Objects that are off screen are also invisible.
`Pressed` | `8` | The object is pressed.
`Protected` | `536870912` | The object is password protected, e.g. a line edit for entering a Password.
`ReadOnly` | `64` | The object can usually be edited, but is explicitly set to read-only.
`Selectable` | `2097152` | The object is selectable.
`Selected` | `2` | The object is selected.
`SelfVoicing` | `524288` | The object describes itself through speech or sound.
`Sizeable` | `131072` | The object can be resized, e.g. top-level windows.
`Traversed` | `8388608` | The object is linked and has been visited.
`Unavailable` | `1` | The object is unavailable to the user, e.g. a disabled widget.

Implementations of QAccessibleInterface::state() return a combination of these flags.

Enum Constant Summary
`Animated` The object's appearance changes frequently.
`Busy` The object cannot accept input at the moment.
`Checked` The object's check box is checked.
`Collapsed` The object is collapsed, e.g. a closed listview item, or an iconified window.
`DefaultButton` The object represents the default button in a dialog.
`Expanded` The object is expandable, and currently the children are visible.
`ExtSelectable` The object supports extended selection.
`Focusable` The object can receive focus.
`Focused` The object has keyboard focus.
`HasInvokeExtension` Internal.
`HasPopup` The object opens a popup.
`HotTracked` The object's appearance is sensitive to the mouse cursor position.
`Invisible` The object is not visible to the user.
`Linked` The object is linked to another object, e.g. a hyperlink.
`Marqueed` The object displays scrolling contents, e.g. a log view.
`Mixed` The state of the object is not determined, e.g. a tri-state check box that is neither checked nor unchecked.
`Modal` The object blocks input from other objects.
`Movable` The object can be moved.
`MultiSelectable` The object supports multiple selected items.
`Normal` The normal state.
`Offscreen` The object is clipped by the visible area.
`Pressed` The object is pressed.
`Protected` The object is password protected, e.g. a line edit for entering a Password.
`ReadOnly` The object can usually be edited, but is explicitly set to read-only.
`Selectable` The object is selectable.
`Selected` The object is selected.
`SelfVoicing` The object describes itself through speech or sound.
`Sizeable` The object can be resized, e.g. top-level windows.
`Traversed` The object is linked and has been visited.
`Unavailable` The object is unavailable to the user, e.g. a disabled widget.

Method Summary
`static QAccessible.State` | `createQFlags(QAccessible.StateFlag... values)`
`static QAccessible.StateFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.StateFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.StateFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final QAccessible.StateFlag Normal

  The normal state.

### Unavailable

    public static final QAccessible.StateFlag Unavailable

  The object is unavailable to the user, e.g. a disabled widget.

### Selected

    public static final QAccessible.StateFlag Selected

  The object is selected.

### Focused

    public static final QAccessible.StateFlag Focused

  The object has keyboard focus.

### Pressed

    public static final QAccessible.StateFlag Pressed

  The object is pressed.

### Checked

    public static final QAccessible.StateFlag Checked

  The object's check box is checked.

### Mixed

    public static final QAccessible.StateFlag Mixed

  The state of the object is not determined, e.g. a tri-state check box that is neither checked nor unchecked.

### ReadOnly

    public static final QAccessible.StateFlag ReadOnly

  The object can usually be edited, but is explicitly set to read-only.

### HotTracked

    public static final QAccessible.StateFlag HotTracked

  The object's appearance is sensitive to the mouse cursor position.

### DefaultButton

    public static final QAccessible.StateFlag DefaultButton

  The object represents the default button in a dialog.

### Expanded

    public static final QAccessible.StateFlag Expanded

  The object is expandable, and currently the children are visible.

### Collapsed

    public static final QAccessible.StateFlag Collapsed

  The object is collapsed, e.g. a closed listview item, or an iconified window.

### Busy

    public static final QAccessible.StateFlag Busy

  The object cannot accept input at the moment.

### Marqueed

    public static final QAccessible.StateFlag Marqueed

  The object displays scrolling contents, e.g. a log view.

### Animated

    public static final QAccessible.StateFlag Animated

  The object's appearance changes frequently.

### Invisible

    public static final QAccessible.StateFlag Invisible

  The object is not visible to the user.

### Offscreen

    public static final QAccessible.StateFlag Offscreen

  The object is clipped by the visible area. Objects that are off screen are also invisible.

### Sizeable

    public static final QAccessible.StateFlag Sizeable

  The object can be resized, e.g. top-level windows.

### Movable

    public static final QAccessible.StateFlag Movable

  The object can be moved.

### SelfVoicing

    public static final QAccessible.StateFlag SelfVoicing

  The object describes itself through speech or sound.

### Focusable

    public static final QAccessible.StateFlag Focusable

  The object can receive focus. Only objects in the active window can receive focus.

### Selectable

    public static final QAccessible.StateFlag Selectable

  The object is selectable.

### Linked

    public static final QAccessible.StateFlag Linked

  The object is linked to another object, e.g. a hyperlink.

### Traversed

    public static final QAccessible.StateFlag Traversed

  The object is linked and has been visited.

### MultiSelectable

    public static final QAccessible.StateFlag MultiSelectable

  The object supports multiple selected items.

### ExtSelectable

    public static final QAccessible.StateFlag ExtSelectable

  The object supports extended selection.

### Protected

    public static final QAccessible.StateFlag Protected

  The object is password protected, e.g. a line edit for entering a Password.

### HasPopup

    public static final QAccessible.StateFlag HasPopup

  The object opens a popup.

### Modal

    public static final QAccessible.StateFlag Modal

  The object blocks input from other objects.

### HasInvokeExtension

    public static final QAccessible.StateFlag HasInvokeExtension

  Internal.

Method Detail

### values

    public static final QAccessible.StateFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.StateFlag c : QAccessible.StateFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.StateFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAccessible.State createQFlags(QAccessible.StateFlag... values)

### resolve

    public static QAccessible.StateFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD